digiKam Developer Documentation: Digikam::TAlbum Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
Digikam::TAlbum Class Reference

A Tag Album representation.

Inheritance diagram for Digikam::TAlbum:

## Public Member Functions
| TAlbum (const QString &title, int id, bool root=false)
CoreDbUrl | databaseUrl () const override
bool | hasProperty (const QString &key) const
QString | icon () const
qlonglong | iconId () const
bool | isInternalTag () const
QString | prettyUrl () const
QMap< QString, QString > | properties () const
QString | property (const QString &key) const
QString | standardIconName () const
QList< int > | tagIDs () const
QString | tagPath (bool leadingSlash=true) const
Public Member Functions inherited from Digikam::Album
QList< int > | childAlbumIds (bool recursive=false)
AlbumList | childAlbums (bool recursive=false)
Album * | childAtRow (int row) const
int | childCount () const
void * | extraData (const void *const key) const
| Retrieve the associated extra data associated with `key`.
Album * | firstChild () const
int | globalID () const
| An album ID is only unique among the set of all Albums of its Type.
int | id () const
| Each album has a `ID` uniquely identifying it in the set of Albums of a Type.
bool | isAncestorOf (Album *const album) const
bool | isRoot () const
bool | isTrashAlbum () const
bool | isUsedByLabelsTree () const
Album * | lastChild () const
Album * | next () const
Album * | parent () const
void | prepareForDeletion ()
| For secure deletion in an album model, call this function beforehand.
Album * | prev () const
void | removeExtraData (const void *const key)
| Remove the associated extra data associated with `key`.
int | rowFromAlbum () const
void | setExtraData (const void *const key, void *const value)
| This allows to associate some "extra" data to a Album.
void | setUsedByLabelsTree (bool isUsed)
| Sets the property m_usedByLabelsTree to true if the search album was created using the Colors and labels tree view.
QString | title () const
Type | type () const

## Friends
class | AlbumManager

## Additional Inherited Members
Public Types inherited from Digikam::Album
enum | Type { PHYSICAL = 0 , TAG , DATE , SEARCH , FACE }
Static Public Member Functions inherited from Digikam::Album
static int | globalID (Type type, int id)
| Produces the global id.
Protected Member Functions inherited from Digikam::Album
| Album (Album::Type type, int id, bool root)
| Constructor.
virtual | ~Album ()
| Destructor.
void | clear ()
| Delete all child albums and also remove any associated extra data.
void | insertChild (Album *const child)
void | removeChild (Album *const child)
void | setParent (Album *const parent)
void | setTitle (const QString &title)

## Member Function Documentation

## ◆ databaseUrl()

CoreDbUrl Digikam::TAlbum::databaseUrl | ( |  | ) | const
| overridevirtual

Returns
  the kde url of the album

Implements Digikam::Album.

## ◆ tagPath()

QString Digikam::TAlbum::tagPath | ( | bool | leadingSlash = `true` | ) | const

Returns
  The tag path, e.g. "/People/Friend/John" if leadingSlash is true, "People/Friend/John" if leadingSlash if false. The root TAlbum returns "/" resp. "".